unit Unit3;

interface

uses
  Classes,Unit1;

type
  ICBOXThread = class(TThread)
  private
    { Private declarations }
  protected
    _Form: TForm1;
    procedure Execute; override;
    procedure MonitoraIcBox;

  public
      constructor Create(CreateSuspended: Boolean; AForm: TForm1);
  end;

implementation

uses SysUtils;

//============================================================================//
constructor ICBOXThread.Create(CreateSuspended: Boolean; AForm: TForm1);
begin
  inherited Create (CreateSuspended);
  _Form := AForm;
  FreeOnTerminate := false;

end;

{ ICBOXThread }
//============================================================================//
procedure ICBOXThread.Execute;
begin
 Priority := tpLower;
   while(true) do
    begin
     if  ((_Form.Conectado)and not(_Form.Modo_Programacao))
       then
       begin
        Synchronize(MonitoraIcBox);

      end;
     Sleep(1000);
    end;
end;

//============================================================================//
   procedure ICBOXThread.MonitoraIcBox();
 var
   valor: String ;
 begin
   valor :=  _Form.LocalCheckIcBox(100);
   if (Trim(valor) <> '')
     then
       _Form.MostraMensagem(valor);
 end;

end.


